aboutsummaryrefslogtreecommitdiffstats
path: root/testing/docs/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-07-20 14:13:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-20 14:14:10 +0000
commita019adcb8d81160a5a158085623992a47f485f62 (patch)
tree12e40cf1cdda4c18a0a7f16d4f4307c4c3257929 /testing/docs/APKBUILD
parentc6ba652bdbfc0677d4b862121d888141dfb9bd65 (diff)
downloadaports-a019adcb8d81160a5a158085623992a47f485f62.tar.gz
aports-a019adcb8d81160a5a158085623992a47f485f62.tar.bz2
aports-a019adcb8d81160a5a158085623992a47f485f62.tar.xz
testing/docs: add meta package for pulling in -doc subpackages
Diffstat (limited to 'testing/docs/APKBUILD')
-rw-r--r--testing/docs/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/docs/APKBUILD b/testing/docs/APKBUILD
new file mode 100644
index 0000000000..d9f55d4adf
--- /dev/null
+++ b/testing/docs/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=docs
+pkgver=0.1
+pkgrel=0
+pkgdesc="Meta package for pulling in all documentation"
+url="http://alpinelinux.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source=""
+
+_builddir=
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+